Set size overrides
- PUT /deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/{instance_ids}/overrides
Applies size overrides for the given instances belonging to the given resource. Instance size overrides will be reset with the next plan change.
Request body
The overrides to apply to the given instances. Capacity overrides the RAM size in MB of the instance, and storage multipler overrides the multiplier of the instance RAM size that determines the storage quota of the instance. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0].
Responses
The updated overrides
- The deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot by found. (code:
deployments.deployment_resource_not_found) - One or more instances weren't found, and
ignore_missingis false or unspecified. (code:deployments.instances_missing_on_update_error) - The specified override was out of range. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0]. (code:
instance_overrides.out_of_range)